aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-copy-site
diff options
context:
space:
mode:
Diffstat (limited to 'share/hydractl/backup-copy-site')
-rwxr-xr-xshare/hydractl/backup-copy-site15
1 files changed, 15 insertions, 0 deletions
diff --git a/share/hydractl/backup-copy-site b/share/hydractl/backup-copy-site
new file mode 100755
index 0000000..d64ac7e
--- /dev/null
+++ b/share/hydractl/backup-copy-site
@@ -0,0 +1,15 @@
+#!/bin/bash
+#
+# Copy a site backup between servers.
+#
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# TODO
+# Basic parameters.
+# Syntax check.
+# Parse server name and port.
+# Check restore strategy.
+# Sync to remote destination.